Package org.kie.api.runtime.process

## Interface NodeInstance

-     public interface NodeInstance

  A node instance represents the execution of one specific node in a process instance. Whenever a node is reached during the execution of a process instance, a node instance will be created. A node instance contains all the runtime state related to the execution of that node. Multiple node instances for the same node can coexist in the same process instance (if that node is to be executed multiple times in that process instance). A node instance is uniquely identified (within its node instance container!) by an id. Node instances can be nested, meaning that a node instance can be created as part of another node instance.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getId()` | The id of the node instance.
    `Node` | `getNode()` | Return the node this node instance refers to.
    `long` | `getNodeId()` | The id of the node this node instance refers to.
    `NodeInstanceContainer` | `getNodeInstanceContainer()` | The node instance container that this node instance is part of.
    `java.lang.String` | `getNodeName()` | The name of the node this node instance refers to.
    `WorkflowProcessInstance` | `getProcessInstance()` | The process instance that this node instance is executing in.
    `java.lang.Object` | `getVariable​(java.lang.String variableName)` |
    `void` | `setVariable​(java.lang.String variableName, java.lang.Object value)` |

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      The id of the node instance. This is unique within the node instance container this node instance lives in.
      Returns:
        the id of the node instance

    - #### getNodeId

          long getNodeId()

      The id of the node this node instance refers to. The node represents the definition that this node instance was based on.
      Returns:
        the id of the node this node instance refers to

    - #### getNode

          Node getNode()

      Return the node this node instance refers to. The node represents the definition that this node instance was based on.
      Returns:
        the node this node instance refers to

    - #### getNodeName

          java.lang.String getNodeName()

      The name of the node this node instance refers to.
      Returns:
        the name of the node this node instance refers to

    - #### getProcessInstance

          WorkflowProcessInstance getProcessInstance()

      The process instance that this node instance is executing in.
      Returns:
        the process instance that this node instance is executing in

    - #### getNodeInstanceContainer

          NodeInstanceContainer getNodeInstanceContainer()

      The node instance container that this node instance is part of. If the node was defined in the top-level process scope, this is the same as the process instance. If not, it is the node instance container this node instance is executing in.
      Returns:
        the process instance that this node instance is executing in

    - #### getVariable

          java.lang.Object getVariable​(java.lang.String variableName)

    - #### setVariable

          void setVariable​(java.lang.String variableName,
                           java.lang.Object value)